be.fgov.ehealth.insurability.core.v2

## Class EntitlementType

- java.lang.Object
- - be.fgov.ehealth.insurability.core.v2.EntitlementType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:59:50+02:00",
                 comments="JAXB RI v2.3.7")
      public class EntitlementType
      extends Object
      implements Serializable

  The "root"-type of the EntitlementType element.

  Java class for EntitlementType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="EntitlementType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Code1" type="{urn:be:fgov:ehealth:insurability:core:v2}EntitlementCodeType"/>
               <element name="Code2" type="{urn:be:fgov:ehealth:insurability:core:v2}EntitlementCodeType"/>
               <element name="ThirdPartyPayerRegime" type="{urn:be:fgov:ehealth:insurability:core:v2}ThirdParytPayerRegimeType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntitlementType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCode1()` Gets the value of the code1 property.
    `String` | `getCode2()` Gets the value of the code2 property.
    `ThirdParytPayerRegimeType` | `getThirdPartyPayerRegime()` Gets the value of the thirdPartyPayerRegime property.
    `void` | `setCode1(String value)` Sets the value of the code1 property.
    `void` | `setCode2(String value)` Sets the value of the code2 property.
    `void` | `setThirdPartyPayerRegime(ThirdParytPayerRegimeType value)` Sets the value of the thirdPartyPayerRegime property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntitlementType

          public EntitlementType()

  - ### Method Detail

    - #### getCode1

          public String getCode1()

      Gets the value of the code1 property.
      Returns:
        possible object is `String`

    - #### setCode1

          public void setCode1(String value)

      Sets the value of the code1 property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCode2

          public String getCode2()

      Gets the value of the code2 property.
      Returns:
        possible object is `String`

    - #### setCode2

          public void setCode2(String value)

      Sets the value of the code2 property.
      Parameters:
        `value` - allowed object is `String`

    - #### getThirdPartyPayerRegime

          public ThirdParytPayerRegimeType getThirdPartyPayerRegime()

      Gets the value of the thirdPartyPayerRegime property.
      Returns:
        possible object is `ThirdParytPayerRegimeType`

    - #### setThirdPartyPayerRegime

          public void setThirdPartyPayerRegime(ThirdParytPayerRegimeType value)

      Sets the value of the thirdPartyPayerRegime property.
      Parameters:
        `value` - allowed object is `ThirdParytPayerRegimeType`

Connector Packaging generic 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.